Subject: bug#51608: 27.2; crash on Apple Sillicon

From: Daniel Martín <[email-masked]>
Date: Sat, 06 Nov 2021 12:19:12 +0100

Alan Glasser <[email-masked]> writes:

> I have installed Emacs Version 27-2 (9.0) on both a MacBook Pro 15" 2018
> with Intel Core i9; and a MacBook Pro 16" 2021 with Apple Silicon M1
> Max.  This version of Emacs is supposed to be Universal, i.e. both Intel
> and Apple hardware.  It works correctly on Intel.  It crashes on M1 with
> the message "Emacs-s86_64-10_14 quit unexpectedly."  Here is a report
> given in that message:
>

I don't use a Mac with an M1 processor yet, but try the following:

Control+click Emacs.app in the /Applications folder and click Get
Info.  In the General tab, uncheck "Open using Rosetta" and try to open
Emacs 27.2 again.